import { PageContainer, ProTable } from "@ant-design/pro-components"
import { columns } from "./tableConfig"
import { useAjax } from "@/Hook/useAjax"
import { useModel } from "@umijs/max"
import { longBookInfoList } from "@/services/miniApp/bookManage"

const Page: React.FC = () => {
    let { initialState } = useModel("@@initialState")
    let {enumList} = useModel("global",(res)=>({
        enumList:res.state.enumList
    }))
    let getList = useAjax((params) => longBookInfoList(params), { type: 'table' })
    return <PageContainer title={false}
        tabProps={{ type: 'card' }}
        >
        <ProTable<any, any>
            params={{
                miniappId: initialState?.selectApp?.id || "",
                distributorId: initialState?.currentUser?.distributorId,
                appType:initialState?.selectApp?.appType || ""
            }}
            headerTitle={"长篇小说列表"}
            rowKey={(r) => r.id}
            search={{
                labelWidth: 120,
            }}
            request={async (params) => {
                return await getList.run(params)
            }}
            columns={columns()}
        // bordered
        />
    </PageContainer>

}
export default Page