/**传入数组枚举数组和key数组 找到在枚举数组中的description值
 * @param {Array} enumArr 枚举数组
 * @param {Array} arr 要查找的数组
 * */
export function getDescriptions(enumArr: any[], arr: any[]) {
    // 创建一个字典来存储 value 和 description 的映射
    const valueToDescription = enumArr.reduce((acc, item) => {
        acc[item.value] = item.description;
        return acc;
    }, {});
    // 使用 arr2 中的 value 查找对应的 description
    return arr.map(value => valueToDescription[value]);
}
/**传入数组枚举数组和key数组 找到在枚举数组中的description值
 * @param {Array} enumArr 枚举数组
 * @param {Array} customParams 要插入数据的目标可以不传  { 0: { disabled: true } } 第0个数据内插入disabled: true
 * */
export function convertEnumArr(enumArr: any, customParams: any = {}, config?: { key: string, value: string }) {
    let result: { [key: string]: { text: string, disabled?: boolean } } = {};
    for (let item of enumArr) {
        let newItem = { text: config ? item[config.value] : item.description };
        if (customParams[item.value]) {
            Object.assign(newItem, customParams[item.value]);
        }
        result[config ? item[config.key] : item.value] = newItem;
    }
    return result;
}

